#if !defined(AFX_TILESDLG_H__CC550E2E_6193_11D4_A33C_0040055797F1__INCLUDED_)
#define AFX_TILESDLG_H__CC550E2E_6193_11D4_A33C_0040055797F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TilesDlg.h : header file
//

#define CDXINCLUDEALL
#include "cdx.h"

/////////////////////////////////////////////////////////////////////////////
// CTilesDlg dialog

class CTilesDlg : public CDialog
{
// Construction
public:
	CTilesDlg(CWnd* pParent = NULL);   // standard constructor
	~CTilesDlg();

	BOOL InitCDX();
	void Paint();
	void SetMouseRect();
	void LButtonDown(UINT nFlags, CPoint point) {OnLButtonDown(nFlags, point);}

	int			m_xTiles, m_yTiles;
	int			m_SelMinX, m_SelMinY, m_SelMaxX, m_SelMaxY;
	CPoint		m_MouseEnd, m_MouseBegin, m_MenuPoint;
	BOOL		m_MouseDown;
	CDXScreen	*m_Screen;
	BOOL		m_InWindow;

// Dialog Data
	//{{AFX_DATA(CTilesDlg)
	enum { IDD = IDD_TILES };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTilesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTilesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TILESDLG_H__CC550E2E_6193_11D4_A33C_0040055797F1__INCLUDED_)
